--
-- $Id$
--
--  Extra bedrijf adres in alle omgevingen updaten naar archief@aa-fm.com

DEFINE thisfile = 'AAFM#38805.sql'
DEFINE dbuser   = '^AA|^ASMS|^NMMS|^RABO|^ZKHM'


SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

INSERT INTO fac_kenmerkdomein (fac_kenmerkdomein_module,
                               fac_kenmerkdomein_omschrijving,
                               fac_kenmerkdomein_objectnaam,
                               fac_kenmerkdomein_kolomnaam,
                               fac_kenmerkdomein_kolomtxt,
                               fac_kenmerkdomein_verval)
    VALUES ('MLD',
            'PRS_RELATIETYPE',
            'PRS_RELATIETYPE',
            'PRS_RELATIETYPE_KEY',
            'PRS_RELATIETYPE_OMSCHRIJVING',
            'PRS_RELATIETYPE_VERWIJDER');

INSERT INTO mld_srtkenmerk (mld_srtkenmerk_omschrijving, mld_srtkenmerk_kenmerktype, fac_kenmerkdomein_key)
   SELECT 'Relatietype', 'R', fac_kenmerkdomein_key
     FROM fac_kenmerkdomein
    WHERE fac_kenmerkdomein_omschrijving = 'PRS_RELATIETYPE';


INSERT INTO mld_kenmerk (mld_srtkenmerk_key,
                         mld_typeopdr_key,
                         mld_kenmerk_niveau,
                         mld_kenmerk_volgnummer,
                         mld_kenmerk_toonbaar)
   SELECT mld_srtkenmerk_key,
          mld_typeopdr_key,
          'O',
          150,
          1
     FROM mld_typeopdr o, mld_srtkenmerk s
    WHERE s.mld_srtkenmerk_omschrijving = 'Relatietype'
      AND UPPER (o.mld_typeopdr_omschrijving) NOT LIKE '%PROJECT%';


INSERT INTO mld_kenmerkopdr (mld_kenmerk_key, mld_opdr_key, mld_kenmerkopdr_waarde)
   SELECT k.mld_kenmerk_key, o.mld_opdr_key, b.prs_relatietype_key
     FROM mld_opdr o,
          mld_kenmerk k,
          mld_srtkenmerk sk,
          prs_bedrijf b
    WHERE k.mld_srtkenmerk_key = sk.mld_srtkenmerk_key
      AND sk.mld_srtkenmerk_omschrijving = 'Relatietype'
      AND o.mld_typeopdr_key = k.mld_typeopdr_key
      AND o.mld_uitvoerende_keys = b.prs_bedrijf_key
      AND NOT EXISTS
             (SELECT mld_kenmerkopdr_key
                FROM mld_kenmerkopdr ko
               WHERE ko.mld_opdr_key = o.mld_opdr_key AND ko.mld_kenmerk_key = k.mld_kenmerk_key);                                                                                                                                                                                                                           
   
------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile

--@@ &custid